summaryrefslogtreecommitdiff
path: root/dev-python/ply
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/ply
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/ply')
-rw-r--r--dev-python/ply/Manifest1
-rw-r--r--dev-python/ply/files/3.6-picklefile-IOError.patch24
-rw-r--r--dev-python/ply/metadata.xml25
-rw-r--r--dev-python/ply/ply-3.11.ebuild40
4 files changed, 90 insertions, 0 deletions
diff --git a/dev-python/ply/Manifest b/dev-python/ply/Manifest
new file mode 100644
index 000000000000..d81f6c1fe096
--- /dev/null
+++ b/dev-python/ply/Manifest
@@ -0,0 +1 @@
+DIST ply-3.11.tar.gz 159130 BLAKE2B 58c50b9dad445ad83a64aaa8174ed4602b36f5c8df33a7d62590a92388c4a21c9800599c1d4e4db6f02630e8dee4c8482611e26498e4aa8ccdb2cf3453ae1db4 SHA512 37e39a4f930874933223be58a3da7f259e155b75135f1edd47069b3b40e5e96af883ebf1c8a1bbd32f914a9e92cfc12e29fec05cf61b518f46c1d37421b20008
diff --git a/dev-python/ply/files/3.6-picklefile-IOError.patch b/dev-python/ply/files/3.6-picklefile-IOError.patch
new file mode 100644
index 000000000000..85b39494a6fd
--- /dev/null
+++ b/dev-python/ply/files/3.6-picklefile-IOError.patch
@@ -0,0 +1,24 @@
+From f50768b0b2176998675e728d84ac05f0eef19614 Mon Sep 17 00:00:00 2001
+From: Mike Gilbert <floppym@gentoo.org>
+Date: Sun, 17 May 2015 12:14:16 -0400
+Subject: [PATCH] Catch/ignore IOError when opening picklefile for reading in
+ yacc.yacc()
+
+Should resolve #66.
+---
+ ply/yacc.py | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/ply/yacc.py b/ply/yacc.py
+index eb02cc2..2835c90 100644
+--- a/ply/yacc.py
++++ b/ply/yacc.py
+@@ -3265,6 +3265,8 @@ def yacc(method='LALR', debug=yaccdebug, module=None, tabmodule=tab_module, star
+ errorlog.warning(str(e))
+ except ImportError:
+ pass
++ except IOError:
++ pass
+
+ if debuglog is None:
+ if debug:
diff --git a/dev-python/ply/metadata.xml b/dev-python/ply/metadata.xml
new file mode 100644
index 000000000000..01dfe8cfa417
--- /dev/null
+++ b/dev-python/ply/metadata.xml
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription>
+PLY is a Python-only implementation of the popular compiler construction
+tools lex and yacc. The implementation borrows ideas from a number of
+previous efforts; most notably John Aycock's SPARK toolkit. However,
+the overall flavor of the implementation is more closely modeled after
+the C version of lex and yacc. The other significant feature of PLY is
+that it provides extensive input validation and error reporting--much
+more so than other Python parsing tools.
+ </longdescription>
+ <longdescription lang="ja">
+PLYはLexとYaccの有名なコンパイラ・コンストラクション・ツールのPython言語実装です
+。この実装は以前の試みから幾つものアイディアを借りています。そのほとんどがJohn AycockのSPARKツールキットからです。しかしながら、実装の全体像はC言語によるLexとYaccにより近いモデルです。PLYの他の重要点は幅広い入力バリデーションとエラー報告を提供する点です。 -- その二点は他のPython言語パーサーより優れています。
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">ply</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/ply/ply-3.11.ebuild b/dev-python/ply/ply-3.11.ebuild
new file mode 100644
index 000000000000..6596c5673904
--- /dev/null
+++ b/dev-python/ply/ply-3.11.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Lex-Yacc library"
+HOMEPAGE="http://www.dabeaz.com/ply/ https://pypi.org/project/ply/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples"
+
+DOCS=( ANNOUNCE CHANGES TODO )
+
+PATCHES=( "${FILESDIR}/3.6-picklefile-IOError.patch" )
+
+python_test() {
+ cp -r -l test "${BUILD_DIR}"/ || die
+ cd "${BUILD_DIR}"/test || die
+
+ # Checks for pyc/pyo files
+ local -x PYTHONDONTWRITEBYTECODE=
+
+ local t
+ for t in testlex.py testyacc.py; do
+ "${EPYTHON}" "${t}" -v || die "${t} fails with ${EPYTHON}"
+ done
+}
+
+python_install_all() {
+ local HTML_DOCS=( doc/. )
+ use examples && dodoc -r example
+ distutils-r1_python_install_all
+}